### Signal

# Gio Application::open

#### Declaration

    void
    open (
      GApplication* self,
      gpointer files,
      gint n_files,
      gchar* hint,
      gpointer user_data
    )

#### Description

The ::open signal is emitted on the primary instance when there are files to open. See `g_application_open()` for more information.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`files`

  Type: An array of `None`

  An array of `GFiles`.

  The length of the array is specified in the `n_files` argument.

`n_files`

  Type: `gint`

  The length of `files`.

`hint`

  Type: `gchar*`

  A hint provided by the calling instance.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.